## sdf 2.001%2B1

=== debian/changelog ===
sdf (2.001+1-9) unstable; urgency=medium

  * Use modern Perl package separators (closes: #1042846).

 -- Colin Watson <cjwatson@debian.org>  Wed, 02 Aug 2023 02:19:05 +0100

sdf (2.001+1-8) unstable; urgency=medium

  [ Colin Watson ]
  * Use debhelper-compat instead of debian/compat.

  [ Debian Janitor ]
  * Trim trailing whitespace.
  * Bump debhelper from deprecated 9 to 13.

 -- Colin Watson <cjwatson@debian.org>  Fri, 24 Sep 2021 23:45:36 +0100

sdf (2.001+1-7) unstable; urgency=medium

  [ Colin Watson ]
  * Mark sdf-doc Multi-Arch: foreign.

  [ Ondřej Nový ]
  * d/changelog: Remove trailing whitespaces

 -- Colin Watson <cjwatson@debian.org>  Sun, 10 Feb 2019 19:29:49 +0000

sdf (2.001+1-6) unstable; urgency=medium

  * Change priority to optional, since "Priority: extra" is now deprecated.
  * Move VCS to salsa.debian.org.

 -- Colin Watson <cjwatson@debian.org>  Sat, 14 Apr 2018 18:38:44 +0100

sdf (2.001+1-5) unstable; urgency=medium

  * Upgrade to debhelper v9.
  * Policy version 3.9.8: no changes required.

 -- Colin Watson <cjwatson@debian.org>  Sat, 31 Dec 2016 15:01:34 +0000

sdf (2.001+1-4) unstable; urgency=medium

  * Update Vcs-Browser URL for alioth cgit.
  * Policy version 3.9.6: no changes required.
  * Remove duplicate Priority field in sdf-doc binary control stanza.
  * Use HTTPS for Vcs-* URLs.
  * Escape braces in regex (closes: #826504).

 -- Colin Watson <cjwatson@debian.org>  Sun, 05 Jun 2016 21:09:04 +0100

sdf (2.001+1-3) unstable; urgency=medium

  * Switch to git; adjust Vcs-* fields.
  * Policy version 3.9.5:
    - No longer need to (build-)depend on perl (>= 5.6.0-16).  Use
      ${perl:Depends} instead.

 -- Colin Watson <cjwatson@debian.org>  Tue, 07 Jan 2014 02:20:43 +0000

sdf (2.001+1-2) unstable; urgency=low

  * Mark sdf Multi-Arch: foreign.
  * Use POSIX::ctime instead of Perl 4's ctime.pl.

 -- Colin Watson <cjwatson@debian.org>  Wed, 09 Nov 2011 11:37:33 +0000

sdf (2.001+1-1) unstable; urgency=low

  * Imported into a branch on bzr.debian.org; add Vcs-Bzr control field.
  * Convert to 3.0 (quilt) format.  .orig.tar.gz version bumped since we no
    longer use tarball-in-tarball packaging.
  * Upgrade to debhelper v7.
  * Suggest texlive-latex-base instead of tetex-bin.
  * Suggest ghostscript instead of gs (closes: #601487).
  * Skip Debian packaging files in MANIFEST check.
  * Use /m regex modifier instead of $* (thanks, Roger Burton West; closes:
    #558799).

 -- Colin Watson <cjwatson@debian.org>  Mon, 30 May 2011 22:13:28 +0100

sdf (2.001-9) unstable; urgency=low

  * debian/rules: Delete /usr/lib/perl5 only if it exists (closes: #468195).
  * Use debhelper v4.
  * Policy version 3.7.3:
    - Move debhelper from Build-Depends-Indep to Build-Depends.
  * Move find -maxdepth option before other options to avoid a warning.

 -- Colin Watson <cjwatson@debian.org>  Thu, 28 Feb 2008 10:24:41 +0000

sdf (2.001-8) unstable; urgency=low

  * Change to debian/tmp/usr/share/perl5/sdf/home when building man pages so
    that sdf can find sdf.ini, and hack around absolute/relative symlink
    issues during the build (closes: #189629).

 -- Colin Watson <cjwatson@debian.org>  Tue, 22 Apr 2003 19:13:38 +0100

sdf (2.001-7) unstable; urgency=low

  * Patch #002: -DMAN_CONVENTIONS causes 'sdf -2man' to generate man pages
    in a more conventional style.
  * Patch #003: Fix a spin in _TablePackStr() (closes: #175578).
  * Use -DMAN_CONVENTIONS to generate man pages for all executables except
    mif2rtf and poddiff.
  * debian/rules: Rename TMP variable to avoid confusing patch.
  * debian/copyright: Provide a working upstream URL.
  * Remove /usr/doc/sdf symlink.
  * Remove undocumented(7) symlinks.
  * Remove empty /usr/lib/perl5 directory.

 -- Colin Watson <cjwatson@debian.org>  Thu,  9 Jan 2003 03:01:00 +0000

sdf (2.001-6) unstable; urgency=low

  * New maintainer (closes: #100260).
  * Suggest sgmltools-lite rather than the obsolete sgmltools-2.
  * Policy version 3.5.6.
  * Perl Policy version 1.20.

 -- Colin Watson <cjwatson@debian.org>  Thu,  6 Dec 2001 22:44:02 +0000

sdf (2.001-5) unstable; urgency=low

  * Maintainer set to Debian QA Group <packages@qa.debian.org>.

 -- Adrian Bunk <bunk@fs.tum.de>  Fri, 24 Aug 2001 23:56:16 +0200

sdf (2.001-4) unstable; urgency=low

  * Adopted by new maintainer; closes: #92356
  * Updated to newer standards version and added Build-Depends.

 -- Dr. Guenter Bechly <gbechly@debian.org>  Mon, 16 Apr 2001 10:41:07 +0200

sdf (2.001-3) unstable; urgency=low

  * Make sdf.ini a conffile, closes: #85964
  * Since Debian policy says that all conffiles should be in /etc, move
    sdf.ini there, and create a symlink from the old location to it.
  * Use some more free defaults, closes: #85969
  * Suggest a few helper packages, closes: #85842

 -- Ben Collins <bcollins@debian.org>  Mon, 26 Mar 2001 16:32:01 -0500

sdf (2.001-2) unstable; urgency=low

  * Added suggests for sdf-doc to sdf, closes: #47286

 -- Ben Collins <bcollins@debian.org>  Thu, 25 Nov 1999 11:29:38 -0500

sdf (2.001-1) unstable; urgency=low

  * Initial release

 -- Ben Collins <bcollins@debian.org>  Thu,  7 Oct 1999 08:25:49 -0400

## sdf timing-0.0.post113

=== Makefile ===
# -*- coding: utf-8 -*-
#
# Copyright (C) 2020-2021  The SymbiFlow Authors.
#
# Use of this source code is governed by a ISC-style
# license that can be found in the LICENSE file or at
# https://opensource.org/licenses/ISC
#
# SPDX-License-Identifier: ISC

# Use bash even on Windows
SHELL := /bin/bash

# On Windows the activate script is stored in a different location.
ACTIVATE_SCRIPT := venv/bin/activate
ifeq ($(OS),Windows_NT)
ACTIVATE_SCRIPT := venv/Scripts/activate
endif

ACTIVATE=[[ -e $(ACTIVATE_SCRIPT) ]] && source $(ACTIVATE_SCRIPT);

clean:
	rm -rf build dist *.egg-info

.PHONY: clean

venv-clean:
	rm -rf venv

.PHONY: venv-clean

$(ACTIVATE_SCRIPT): requirements.txt setup.py Makefile
	make venv
	@ls -l $(ACTIVATE_SCRIPT)
	@touch $(ACTIVATE_SCRIPT)
	@ls -l $(ACTIVATE_SCRIPT)

venv:
	virtualenv --python=python3 --always-copy venv
	# Packaging tooling.
	${ACTIVATE} pip install -U pip twine build
	# Setup requirements.
	${ACTIVATE} pip install -r requirements.txt
	@${ACTIVATE} python -c "from sdf_timing.version import version as v; print('Installed version:', v)"
	# Infra requirements.
	${ACTIVATE} pip install git+https://github.com/mithro/actions-includes.git

.PHONY: venv

# Packaging and uploading to PyPI
build: | $(ACTIVATE_SCRIPT)
	${ACTIVATE} python -m build --sdist
	${ACTIVATE} python -m build --wheel

.PHONY: build

PYPI_TEST = --repository-url https://test.pypi.org/legacy/
upload-test: | $(ACTIVATE_SCRIPT)
	make clean
	make build
	${ACTIVATE} twine upload ${PYPI_TEST} dist/*

.PHONY: upload-test

upload: | $(ACTIVATE_SCRIPT)
	make clean
	make build
	${ACTIVATE} twine upload --verbose dist/*

.PHONY: upload

check: | $(ACTIVATE_SCRIPT)
	make clean
	make build
	${ACTIVATE} twine check dist/*.whl

.PHONY: check

install: | $(ACTIVATE_SCRIPT)
	${ACTIVATE} python setup.py install

.PHONY: install

# Testing the library
TEST_LIKE_CI_RUN_SH := venv/actions/includes/actions/python/run-installed-tests/run.sh
$(TEST_LIKE_CI_RUN_SH):
	if [ ! -d venv/actions ]; then git clone https://github.com/SymbiFlow/actions venv/actions; fi
	cd venv/actions && git pull

test-like-ci: | $(TEST_LIKE_CI_RUN_SH) $(ACTIVATE_SCRIPT)
	${ACTIVATE} $(TEST_LIKE_CI_RUN_SH)

.PHONY: test-like-ci

test: | $(ACTIVATE_SCRIPT)
	${ACTIVATE} pytest

.PHONY: test

version: | $(ACTIVATE_SCRIPT)
	${ACTIVATE} python setup.py --version

.PHONY: version

# Format the code
GHA_WORKFLOW_SRCS = $(wildcard .github/workflows-src/*.yml)
GHA_WORKFLOW_OUTS = $(addprefix .github/workflows/,$(notdir $(GHA_WORKFLOW_SRCS)))

.github/workflows/%.yml: .github/workflows-src/%.yml | $(ACTIVATE_SCRIPT)
	${ACTIVATE} python -m actions_includes $< $@

format-gha: $(GHA_WORKFLOW_OUTS) | $(ACTIVATE_SCRIPT)
	@echo $(GHA_WORKFLOW_OUTS)
	@true

.PHONY: format-gha

format:
	$(MAKE) format-gha

.PHONY: format

=== requirements.txt ===
# Install setup_requires
setuptools>=42
setuptools_scm
wheel
# Testing tools
pytest
yapf==0.24.0
tox
# Install local package
-e .

## sdf 2.001+1

=== debian/control ===
Source: sdf
Section: text
Priority: optional
Maintainer: Colin Watson <cjwatson@debian.org>
Build-Depends: debhelper (>= 9~)
Standards-Version: 3.9.8
Vcs-Git: https://salsa.debian.org/debian/sdf.git
Vcs-Browser: https://salsa.debian.org/debian/sdf

Package: sdf
Architecture: all
Depends: ${misc:Depends}, ${perl:Depends}
Suggests: sdf-doc, perl-doc, htmldoc, texlive-latex-base, ghostscript, sgmltools-lite
Multi-Arch: foreign
Description: Simple Document Parser
 SDF (Simple Document Format) is a freely available document development
 system which generates high quality outputs in a variety of formats
 from a single source. The output formats supported include
 PostScript(tm), PDF, HTML, plain text, POD, man pages, LaTeX,
 MIF, SGML, Windows(tm) help, RTF, MIMS F6 help and MIMS HTX help.
 If the idea of specifying documents in a logical manner via a
 simple markup language sounds appealing, SDF may be useful to you.

Package: sdf-doc
Architecture: all
Section: doc
Depends: ${misc:Depends}
Description: Documentation and examples for the Simple Document Parser
 SDF (Simple Document Format) is a freely available document development
 system which generates high quality outputs in a variety of formats
 from a single source. The output formats supported include
 PostScript(tm), PDF, HTML, plain text, POD, man pages, LaTeX,
 MIF, SGML, Windows(tm) help, RTF, MIMS F6 help and MIMS HTX help.
 If the idea of specifying documents in a logical manner via a
 simple markup language sounds appealing, SDF may be useful to you.

=== debian/rules ===
#! /usr/bin/make -f
%:
	dh $@

dtmp := $(CURDIR)/debian/sdf
mantmp := $(CURDIR)/debian/manpages-tmp
SDFHOME := $(dtmp)/usr/share/perl5

AUTO_MAN := fm2ps prn2ps sdf sdfapi sdfbatch sdfcli sdfget sdngen

override_dh_clean:
	rm -rf $(mantmp)
	dh_clean

override_dh_auto_install:
	dh_auto_install --destdir debian/sdf

	chmod -x `find $(dtmp)/usr/share/perl5/sdf -type f`

	mv $(dtmp)/usr/share/perl5/sdf/home/sdf.ini $(dtmp)/etc
	# Evil hack. When building man pages just below, sdf needs to be
	# able to find sdf.ini in the temporary tree using this symlink.
	ln -s ../../../../../etc/sdf.ini \
	      $(dtmp)/usr/share/perl5/sdf/home/sdf.ini

	mkdir -p $(mantmp)
	for x in $(AUTO_MAN); do \
		(cd $(SDFHOME)/sdf/home; \
		 PATH=$(dtmp)/usr/bin:$$PATH PERL5LIB=$(SDFHOME) \
			$(dtmp)/usr/bin/sdf \
				-2pod -DMAN_CONVENTIONS -O$(mantmp) -g -csdf \
				$(dtmp)/usr/bin/$$x); \
		pod2man $(mantmp)/$$x.pod > \
			$(dtmp)/usr/share/man/man1/$$x.1; \
	done

	# Undo the symlink hack above.
	rm -f $(dtmp)/usr/share/perl5/sdf/home/sdf.ini
	ln -s /etc/sdf.ini $(dtmp)/usr/share/perl5/sdf/home/sdf.ini

override_dh_compress:
	dh_compress -i -X.html

## sdf timing-0.0.post128

=== Makefile ===
--- 
+++ 
@@ -1,12 +1,20 @@
 # -*- coding: utf-8 -*-
 #
-# Copyright (C) 2020-2021  The SymbiFlow Authors.
+# Copyright 2020-2022 F4PGA Authors
 #
-# Use of this source code is governed by a ISC-style
-# license that can be found in the LICENSE file or at
-# https://opensource.org/licenses/ISC
+# Licensed under the Apache License, Version 2.0 (the "License");
+# you may not use this file except in compliance with the License.
+# You may obtain a copy of the License at
 #
-# SPDX-License-Identifier: ISC
+#     http://www.apache.org/licenses/LICENSE-2.0
+#
+# Unless required by applicable law or agreed to in writing, software
+# distributed under the License is distributed on an "AS IS" BASIS,
+# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
+# See the License for the specific language governing permissions and
+# limitations under the License.
+#
+# SPDX-License-Identifier: Apache-2.0
 
 # Use bash even on Windows
 SHELL := /bin/bash
